Overview of changes in v8.1 "Sonic Empire"

=== Bug fixes ===
* #138 (ui):
	don't enforce window to be centered
* #139 (configure, ui):
	add ability to specify which python interpreter to use
* #140 (nx-rc):
	make sure PATH is setup early (fixes issue that
	bs-ng-wizard is not available on bash startup)
* #141 (functions):
	make functions properly include check_opt again,
	so that it actually works

=== Removed features ===
* show_weather function
* show_battery_load --apm (now only using acpi)

=== Other changes ===
* drop optional dependency on lynx
* drop optional dependency on apm
* add dependency on less
* add optional dependency on ghostscript
* updated debian/control

=== configure 4.2.1 ===
* configure now accepts --girpath argument (girpath to use)
* configure now accepts --mode argument (user = check dependencies,
  maintainer = don't check dependencies (speed up re-builds))
* configure now accepts --dirinfo argument (replacing --dirinfo-enable
  and --dirinfo-disable arguments)
* configure now accepts --python argument (python interpreter to use,
  part of fixing bug #139)
* configure now checks version of python interpreter to be greater or
  equal 2.7.0 and lower than 3.0
* configure now accepts --bindir argument
* configure now accepts --pcdir argument
* configure now accepts --docdir argument
* configure now accepts --datadir argument
* configure now accepts --profiledir argument
* configure now displays information about non-function features due to
  missing optional dependencies inline, instead of the end
* improved dependency definition and streamlined checking them
* improved substituting configure values in .in files
* enforce GIRPATH to be specified by exiting configure with unset
* improved help message
* minor internal improvements in configure

<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

Overview of changes in v8.00 "We're Getting High With The Rhythm"

--- Important Note #1 ---

This release switched from GConf based configuration to ConfigObj.

Advantages:
	- *much* faster startup from terminal
	- usable from both python (ConfigObj) and Bash (ini-parser)
	  [read: all options could be changed from Bash now, too]
	- bs-ng-profiler and rc-generator no longer required

Disadvantages:
	- you have to fully re-setup BashStyle-NG (both GUI and Wizard)

--- Important Note #2 ---

This release requires GTK+3 / Python-GI

=== Bug fixes ===
* #128 (ui):
	fixed C-P-B (Custom Prompt Builder) showing no longer existent
	themes (and theme-code) from the "Choose Style to modify:" combo-box
* #129 (configure):
	when configured via debian/rules, configure got the prefix wrong
* #130 (profile):
	display-managers like XDM don't source /etc/profile.d/*,
	so let nx-rc self-check, whether our profile was sourced
* #131 (readline/vim/nano):
	don't create an rc for readline, vim or nano, if one is already going
	to be created (fixes annoying issues when opening splitvt or two
	terminals at a time)
* #132 (show_system_load):
	enforce LANG=C when calling uptime, so that it properly works in all cases
* #133 (toolbox/about):
	fix the bug that the toolbox and about-dialog could only
	be properly invoked once per session
* #134 (configure):
	fix detection of gir-repository-path on x86_64 (tested on Fedora 18)
* #135 (functions):
	define all functions as such, to prevent errors on startup if a vendor
	alias has the same name then a BS-NG function (eg: ll on Fedora)
* #136 (make):
	fixed uninstallation of BS-NG
* #137 (debian/control):
	make debian package depend on gir1.2-gtk-3.0

=== Added Features ===
* configure can now check for GIR Repositories
* configure can now check for python sub-modules
* options like aliases can now be reverted to previous user-value
  or reset to factory defaults in the user interface
* -n param for 'randomfile' (exec randomfile N times)
* 'jump' feature (jump between directories, uses dirinfo database)
* 'assign' function
* 'bsng-help' function (auto-generates help messages)

=== Removed Features ===
* bs-ng-profiler (no longer required)
* rcgenerator (no longer required)

=== Misc changes ===
* shifted around some paths
  + DATADIR/rc/bin => PREFIX/bin
  + DATADIR/rc/opt => DATADIR/bin

* simplified debian/rules
* updated debian/docs

* several small fixups and improvements in the docs
  [chapters 00 - 04, 06 - 07]

* majorly improved the profile (/etc/profile.d/bashstyle.sh)

* split all functions into own scripts

* updated all copyright year notices to "2007 - 2013"

* modularized user-interface code
* many automatisms, saving lots of code for user-interface

<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

Overview of changes in v7.12.1 "Do You Like The Sound Now?"

=== Bug Fixes ===
* #125 (ui): change the way the GUI retrieves it's own version and
             prefix, fixes possible startup-failures on foreign setups
* #126 (dirinfo-wrappers): even if the dirinfo-wrappers were disabled,
                           they could interfere with the original rm,
			   mv, cp and shred tools. If you updated from
			   version 7.12, please restart your machine
			   after you installed 7.12.1, to ensure every-
			   thing is fine with your setup
* #127 (uninstall): manual uninstall didn't remove GConf Schemas

=== Build & Installation ===
* show version of configure in --help
* add --quiet switch to configure
* fix configure --help message

* show version of make in --help
* improve look'n'feel of make out-put (more like configure now)
* fixed a typo in a make warning

=== Added Features ===
* batch [TJ Carter]

=== Misc Changes ====
* shut up bs-ng-wizard (when already setup and bs-ng loads)
* updated my mail-address
* updated debian/ scripts to 3.0 (quilt)

<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

Overview of changes in v7.12 "Planetary Collapse"

--- IMPORTANT NOTE #1 ---
We do now have a custom make system. See INSTALL.

--- IMPORTANT NOTE #2 ---
If you have custom settings stored in $HOME/.custom-rc, then rename the file
to $HOME/.bashstyle.custom, else they won't be loaded anymore.

--- (NOT SO) IMPORTANT NOTE #3 ---
This version of BS-NG can install wrapper for cp, mv, shred and rm, which
honour the NoCopy, NoMove, NoShred and NoDelete .dirinfo-flags (see below).

Those are only 90% syntax-compatible with the originals (say: `mv test{1,2}'
works, but `mv test{1,2} test{3,4}' does NOT -- only one {,} is supported),
maybe there are more incompatibilities. This will be fixed with Revision 3.

Therefore those wrappers are disabled by default, if you feel brave enough
to try them out pass `--dirinfo-enable' to the configure script.


=== Bugfixes ===
* #105 (unmark): properly unalias the bookmark
* #106 (bookmark): don't create a bookmark when no name is given
* #107 (about): fixed link to homepage of BS-NG
* #108 (profiler) (rcgenerator): load internal functions correctly
* #109 (ls-rc): make ls-rc linux-console compatible
* #110 (random-rc): remove no longer existenet styles from random-style-selector
* #111 (color-rc) (ls-rc): don't disable colors when on linux-console, but only
                           use default colors, which are black, red, yellow, green,
                           blue, cyan, magenta and white. Others are synonyms of them
                           while on linux-console (eg: iceblue = blue)
* #112 (man-rc) (ls-rc) (alias-rc) (options-rc): properly enable/disable colors according
                                                 to user-setting (ls, lscd, grep, man)
* #113 (vim-rc): fix setting highlighting
* #114 (readline-rc) (nano-rc) (vim-rc): check wether rc-file is accessible before writing it
* #115 (configure): change the way python modules are detected (fixes rpmbuild failure)
* #116 (ayoli) (clock-ad): the first line of the prompt in ayoli was longer than the screen
* #117 (check_opt): check_opt should error rather than exiting the session (...)
* #118 (autotools): there's a bug in the autotools which may not let you compile any source
                    if /bin/sh is not /bin/bash (...) workaround this by exporting
                    CONFIG_SHELL="/bin/bash" in /etc/profile.d/bashstyle.sh (...)
* #119 (nx-rc): when you started several shells at once ReadlineCFG, VimCFG and NanoCFG could
                have generated invalid configuration files (all instances of them adding the
		values), this is now prevented by starting BS-NG one by one
* #120 (clock-ad) (ayoli): fixed truncated the current directory
* #121 (nx-rc) (bs-ng-wizard): could have possibly hung up if bs-ng-wizard was loaded when no
			       config was not yet created
* #122 (bs-ng.py): don't wrongly require vte
* #123 (make): fixed installation outside of /usr as non-root user by not
               forcing the icons to be installed into /usr
* #124 (nx-rc): properly close the if-statement, which detects GDM

=== Build & Installation ===
* removed deprecated schemas

* removed .bashrc adjustment from Makefile

* updated debian packaging scripts

* use our own check function rather than which
  (percebtibly faster)

* improved checking for python modules

* majorly revised the configure script
* added custom build system

=== Added Features ===
* dbg_log (internal)
* dbg_finalize (internal)
* rc_add (internal)

* bs-ng-wizard queries for user-informations (name, mail, birthday)
  everything optional + not used outside your shell, of course!

* somewhat fancy loading-screen when debug-text on start-up is disabled

* new VimCFG options:
  + highlight current column
  + set startofline
  + change linewrap
  + change autowrap position
  + change tabstop length
  + go into file's directory

* VimCFG behaviour changes:
  + when filetype indention is enabled, also enable autoindent
  + when filetype indention is enabled, also enable smartindent
  + set linespace to 0
  + load $HOME/.vimrc.custom if availabe (put your stuff here)

* colorshell: changes the color for the shell output after each command

* xalias (set alias and add to $HOME/.custom-rc)

* progressbar  [fancy animated bar]
* spinner    [/ - \ | type spinner]
* spanner     [moves cursor around]
* spin [somewhat spinner + spanner]
* working [animated "working" text]

* show_weather
* define (show definition of a word)
* resetleds (helper for kitt)
* kitt (on console flashes keyboard-leds like K.I.T.T from Knight-Rider)
* clock (display a clock)
* binary-clock (displays a binary clock)
* swap (exchange two files)
* treecd (like lscd, but using tree instead of lscd)
* treefind (find with tree output)
* treeps (nicer version of ps)
* wininfo (get some basic info about a window)
* repeat (repeat a command in given intervalls)
* ugrep (look-up for unicode characters)

* dec2asc (convert decimal to ascii)
* oct2asc (convert octal to ascii)
* hex2asc (convert hexadecimal to ascii)
* bin2asc (convert binary to ascii)

* dec2b32 (convert decimal to base32)
* oct2b32 (convert octal to base32)
* hex2b32 (convert hexadecimal to base32)
* bin2b32 (convert binary to base32)

* dec2b64 (convert decimal to base64)
* oct2b64 (convert octal to base64)
* hex2b64 (convert hexadecimal to base64)
* bin2b64 (convert binary to base64)

* asc2dec (convert ascii to decimal)
* asc2oct (convert ascii to octal)
* asc2hex (convert ascii to hexadecimal)
* asc2bin (convert ascii to binary)
* asc2b32 (convert ascii to base32)
* asc2b64 (convert ascii to base64)
* asc2all (convert to all at once)

* fah2cel (convert °F to °C)
* fah2kel (convert °F to °K)

* cel2fah (convert °C to °F)
* cel2kel (convert °C to °K)

* kel2fah (convert °K to °F)
* kel2cel (convert °K to °C)

* arabic2roman (convert arabic to roman numbers)

* nseq added (print 0 to given number)

* ruler added

* box added (create a box of # around a string)

* hilow added (AMOR)

* text2morse
* morse2text

=== Improved Features ===
* some minor UI tweaks

* improved check if a bookmark already exists

* xunalias (update for xalias)

* lscd

* bin2all (updated)
* dec2all (updated)
* hex2all (updated)
* oct2all (updated)

* empty (now also shows empty directories)

* dbg_view (uses less now)

* torswitch (display a message if not root)
* wipe (check if root, else display a message)

* rewrote rcgenerator
* rewrote bs-ng-profiler

=== Removed Features ===

* xchown

* psgrep (use treeps instead)
* pskill

=== Dirinfo (Revision 2 Draft 5) ===
* major re-structureing
* improved indexing mechanism
* displaying info/ascii is now console-compatible
* dirinfo --create got a whiptail-interface
* dirinfo got a help-message
* dirinfo can now index/search owners
* when searching for owners no quotes are required
* dirinfo now supports flags for directories, adding
  them to .dirinfo files will do as described below
  (directory-structure depth is 1 for all, means only
   the directory containing the .dirinfo itself and
   all files on the same level than the .dirinfo file):
        x "NoDelete" flag: doesn't allow directory and
                           included files to be removed
        x "NoMove" flag: doesn't allow directory and
                         included files to be moved
                         (or renamed via mv)
        x "NoCopy" flag: doesn't allow directory and
                         included files to be copied
	x "NoShred" flag: doesn't allow directory and
			 included files to be shred
* added documentation (chapter12)
* progressbar for dirifno --generate

=== Documentation ===
* Updated:
  + INSTALL
  + README
  + CREDITS
  + chapter00
  + chapter08
  + chapter09

=== Translations ===
* nx-rc (startup script) and bs-ng-wizard are now ready for translation

* language GUI 	NX-RC 	WIZARD
* german  100% 	100%	100%
* russian 100% 	100%	100%
* italian 80% 	0%	0%
* spanish 80% 	60%	0%

=== Misc Changes ===
* list Kenny Meyer in the about-dialog
* major restructuring
* only load xdel on Bash >= 4.x
* add "." to PATH
* added CharName.pm (from unicode-string perl-module)

<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

Overview of changes in v7.11 "I Shot The Blender"

** !! This release contains an easteregg !! **

=== BUG Reporting ===
* You can now report bugs at: http://tickets.nanolx.org/
* choose "BashStyle-NG" from the combobox and open a new
  ticket (it's possible to do it anonymously, though being
  registered is recommend (for mail-notifications))

=== Build/Installation ===
* configure/Makefile output is now even fancier

* no longer depends on gtk-2.0.pc and gconf-2.0.pc
  (allows installation without -devel pkgs installed)

* mkchangelog function (generates ChangeLog from git log)

=== Bugfixes ===
* #98: support spaces in arguements for all functions
* #99: errornous output in showspace
* #100: make sure to use \$ rather than $ in all styles
* #101: correctly get (and therefore log) the bash patch-level
* #102: workaround failing to change TMOUT due to MSEC
* #103: unify all classes to workaround a pygtk-bug (result: uglier code)
* #104: comment out rcgenerator comments in generated bashrc

=== Added Features ===
* git_branch function
* git_revision function
* git_action function
* youtube2ogg function
* conv2avi function
* torswitch function
* repoadd function
* get_kde function
* get_e function
* get_kernel function
* remount function
* lscd function
* up function
* stopwatch function
* wipe function [CAUTION!]
* writeiso function
* geniso function
* bashtips function
* bookmark function
* unmark function
* randomfile function
* deadlink function
* empty function

* -m switch for get_xfce function
* -mb switch for get_xfce function
* -mb switch for get_gnome function
* -external switch for show_ip

* listing all files in lo function
* listing all files in lg function
* support for multiple arguements in lm function

* First-run-wizard (sets up several options for functions)

* $SECONDS in custom-prompt-builder
* show help-button for custom-prompt-builder
* toolbox for custom-prompt-builder

* dirinfo directory-indexing functions (Draft 1 Revision 2)

* simple warning-mechanism for nx-rc

* GUI is now resizable

* BSNG_DOCS environment-variable

=== Removed Features ===
* Preview in GUI

* dash style
* job style
* minimal style
* bracket style

* bs-ng-echo function (replaced)
* bsource function (unneded)

=== New Colorschemes ===
* asu1dark
* candycode
* dw_orange
* fruit
* relaxedgreen
* tango

=== Documentation ===
* Major revision of all chapters
* Updated all images

=== Translations ===
* german:  100%
* italian: 100%
* russian: 100%
* spanish: 100% [NEW]
